## com.google.appengine.api.search
Class ParserFactory

    java.lang.Object
      com.google.appengine.api.search.ParserFactory

    public class ParserFactory

extends java.lang.Object

A factory which produces `QueryParsers` for a given token rewrite stream.

Constructor Summary
`ParserFactory()`

Method Summary
`QueryParser` `newParser(TokenRewriteStream tokens)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ParserFactory

    public ParserFactory()

Method Detail

### newParser

    public QueryParser newParser(TokenRewriteStream tokens)